
D4Science Infrastructure - Upgrade #3873

Upgrade # 3868 (Completed): D4Science Infrastructure Upgrade to gCube 3.11.0

 D4Science Gateways upgrade to gCube 3.11.0

May 04, 2016 12:57 PM - Massimiliano Assante

Status: Completed Start date: May 04, 2016

Priority: Urgent Due date: Jul 23, 2016

Assignee: Massimiliano Assante % Done: 100%

Target version: D4Science Infrastructure Upgrade to

gCube 3.11.0

  

Infrastructure: Pre-Production, Production   

Description

Subtasks:

Upgrade # 3875: Preprod Gateway upgrade to gCube 3.11.0 Completed

Task # 3876: Prepare Elastic Cluster instance for gCube 3.11.0 Closed

  Task # 3878: Please create new VM with Elastic Search of Production Closed

  Task # 3879: Deploy and start social-data-indexer-se-plugin on production node Closed

    Task # 4095: Create new VM for hosting SmartExecutor service Closed

Task # 2516: Provide RStudio in the e-Infrastructure VREs Closed

  Task # 4371: same R configuration (R version and packages) on R-Studio as the one on ma... Closed

  Task # 4372: open some workspace repositories (directories) containing R Scripts direct... Closed

History

#1 - May 09, 2016 06:51 PM - Massimiliano Assante

- Status changed from New to Planned

Portals

The portals should be upgraded using the new mavenized portal bundle 3-11-0

Portals to upgrade:

i-marine.d4science.org  DONE

services.d4science.org  DONE

egip.d4science.org  DONE

descramble.d4science.org  DONE

New Portlets

org.gcube.portlets-admin.create-users.1-0-0

org.gcube.portlets-admin.fhn-manager-portlet.1-0-0 (Postponed as service not ready)

Portlets to upgrade

org.gcube.portlets-user.newsfeed.1-13-1

org.gcube.portlets-user.shareupdates.1-9-2

org.gcube.portlets-user.xsearch-portlet.1-2-0-1

org.gcube.portlets-user.join-vre.2-0-1

org.gcube.portlets-user.token-generator.1-1-3

org.gcube.portlets-user.join-new-environment.2-4-1

org.gcube.portlets-user.invite-friends.1-3-1

org.gcube.portlets-user.rstudio-wrapper-portlet.1-0-0

org.gcube.portlets-user.tabular-data-portlet.2-10-0

org.gcube.portlets-user.statistical-manager-portlet.1-5-1

org.gcube.portlets.user.statistical-algorithms-importer.1-1-0

org.gcube.portlets-user.myvres.1-7-0

org.gcube.portlets-user.geoexplorer-portlet.2-9-1

org.gcube.portlets.admin.accounting-manager-1-2-0

org.gcube.portlets-admin.users-management-portlet.2-3-1
org.gcube.portlets-user.workspace-portlet.6-12-0

Portlets to upgrade because of dependencies update

org.gcube.portlets-user.notifications.1-4-0-1

Standalone Web Applications/services

org.gcube.portal.social-networking-library-ws.1-1-0

Servlets/Web Services

org.gcube.portal.social-mail-servlet.1-4-0

Configurations

Tomcat server.xml should be upgraded to support thread local vars automatic cleaning.

Layouts

The layouts should be upgraded to support the News Feed full text searches  (https://support.d4science.org/issues/3880)

Hooks

The social-dockbar-hook should be deployed on all the gateways to allow performing searches from the dockbar, see attached war

#2 - May 12, 2016 05:29 PM - Massimiliano Assante

- File social-dockbar-hook-6.0.6.1.war added

#3 - May 30, 2016 02:58 PM - Massimiliano Assante

- Status changed from Planned to In Progress

#4 - May 31, 2016 11:54 AM - Massimiliano Assante

- Status changed from In Progress to Completed

#5 - Jun 23, 2016 11:05 AM - Pasquale Pagano

- Due date changed from May 27, 2016 to Jul 23, 2016

- Start date changed from Mar 09, 2016 to May 04, 2016

due to changes in a related task

Files

social-dockbar-hook-6.0.6.1.war 7.63 KB May 12, 2016 Massimiliano Assante
